> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# List

GET https://restapi.ordergroove.com/items/

Returns a list of all the order items for an individual user.

Listing items for more than one customer requires Application API Scope with the Bulk Operations permission.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/items/list

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Query parameters

- `order` (string, optional) — Order ID
- `offer` (string, optional) — Offer ID
- `subscription` (string, optional) — Subscription ID
- `one_time` (boolean, optional) — Indicates if item was the result of Impulse Upsell functionality
- `status` (integer, optional) — Order status code
- `place` (date, optional) — Order's place date exact match (yyyy-mm-dd)
- `place_start` (date, optional) — Order's place date later or equal than parameter (yyyy-mm-dd)
- `place_end` (date, optional) — Order's place date sooner or equal than parameter (yyyy-mm-dd)
- `product` (string, optional) — Product's external_product_id - filter items by the proper product currently associated with them.
- `omit_price_calculation` (boolean, optional, default: false) — If True, Ordergroove will omit the `price`, `total_cost`, and `extra_cost` fields from the Response Body. This can significantly improve performance in some scenarios.
- `order_updated_start` (date, optional) — items whose order.updated field is greater than or equal to the given datetime (YYYY-MM-DDTHH:MM:SS)
- `order_updated_end` (date, optional) — items whose order.updated field is less than or equal to the given datetime (YYYY-MM-DDTHH:MM:SS)

## Response

### 200

200

## Errors

### 400 Bad Request Error

400

- `[field_name]` (string, optional)

### 403 Forbidden Error

403

- `detail` (string, optional)

### 404 Not Found Error

404

- `detail` (string, optional)

## Examples

### Result

**Response**

```json
{
  "results": [
    {
      "order": "c4e05d04ccc411e8ada3bc764e101db1",
      "offer": "a748aa648ac811e8af3bbc764e106cf4",
      "subscription": null,
      "product": "0070000693",
      "components": [],
      "quantity": 1,
      "public_id": "58072de4ccc811e88516bc764e106cf4",
      "product_attribute": null,
      "price": "26.99",
      "extra_cost": "0.00",
      "total_price": "13.22",
      "one_time": true,
      "order_updated": "2025-01-31 00:00:00",
      "frozen": false,
      "first_placed": null
    }
  ]
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/items/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/items/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/items/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/items/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/items/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/items/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/items/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/items/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Omit Pricing

**Response**

```json
{
  "results": [
    {
      "order": "c4e05d04ccc411e8ada3bc764e101db1",
      "offer": "a748aa648ac811e8af3bbc764e106cf4",
      "subscription": null,
      "product": "0070000693",
      "components": [],
      "quantity": 1,
      "public_id": "58072de4ccc811e88516bc764e106cf4",
      "product_attribute": null,
      "one_time": true,
      "frozen": false,
      "first_placed": null
    }
  ]
}
```

**SDK Code**

```python Omit Pricing
import requests

url = "https://restapi.ordergroove.com/items/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Omit Pricing
const url = 'https://restapi.ordergroove.com/items/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Omit Pricing
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/items/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Omit Pricing
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/items/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Omit Pricing
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/items/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Omit Pricing
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/items/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Omit Pricing
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/items/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Omit Pricing
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/items/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```